<%
/**
 * Copyright (c) 2000-2010 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
%>

<%@ include file="/init.jsp" %>

<%@ page import="java.util.List"%>
<%@ page import="java.util.ArrayList"%>
<%@ page import="java.io.IOException"%>

<%@ page import="com.liferay.geoipusersmap.model.GeoIPUsersMapDAO"%>
<%@ page import="com.liferay.geoipusersmap.model.MarkVO"%>

<c:choose>
	<c:when test="<%= Validator.isNotNull(license) %>">
		<style>
			.ie6 .maps-content img {
 				behavior: expression(this.pngSet=true);
  			}
		</style>
		<script src="http://maps.google.com/maps?file=api&amp;v=2&amp;key=<%= license %>" type="text/javascript"></script>

<%
	List<MarkVO> markList = new ArrayList<MarkVO>();
	markList = GeoIPUsersMapDAO.getUsersData();
	Integer num_users = GeoIPUsersMapDAO.getNumUsers();
	int num_marks= markList.size();
%>
		<table style="width:100%;"><tr><td><h4 style=" width:100%; text-align:left; color:#4444FF; margin:0; padding:0;">&nbsp;MyStratego Community World Map</h4></td><td><h4 style=" width:100%; text-align:right; color:#4444FF; margin:0; padding:0;"><%= num_users %> community users spread over <%= num_marks %> locations</h4></td></tr></table>
		<div id="<portlet:namespace />map" style="height: <%= height %>px; width: 100%;"></div>

		<script type="text/javascript">

		if (GBrowserIsCompatible()) {
		var <portlet:namespace />map;
		<portlet:namespace />map = new GMap(document.getElementById("<portlet:namespace />map"));

		<portlet:namespace />map.addControl(new GSmallMapControl());
		<portlet:namespace />map.addControl(new GMapTypeControl());

		<portlet:namespace />map.addControl(new GMapTypeControl());
		<portlet:namespace />map.addControl(new GSmallMapControl());

		// Create the marker and corresponding information window
		function createInfoMarker(point, address) {
		var marker = new GMarker(point);
		GEvent.addListener(marker, "click", function() { marker.openInfoWindowHtml(address); } );
		return marker;
		}

<%
	for (int i=0;i<num_marks;i++) {
		MarkVO mark = (MarkVO) markList.get(i);
		String htmlCode = mark.getHtmlCode();
		Float longitude = mark.getLongitude();
		Float latitude = mark.getLatitude();
%>
   		var point = new GPoint (<%= longitude %> , <%= latitude %>);
		var address = "<%= htmlCode %>";
		var marker = createInfoMarker(point, address);
		<portlet:namespace />map.addOverlay(marker);

<%
}
%>

		<portlet:namespace />map.centerAndZoom(new GPoint(0,0), 15);
		}
		</script>

	</c:when>
	<c:otherwise>
		<liferay-ui:message key="please-contact-the-administrator-to-setup-this-portlet" />
	</c:otherwise>
</c:choose>

